<?php

class tourListInline extends WP_Widget {
	function __construct() {
		parent::__construct(false, 'Tour List', array('description' => 'Displays a list of tours.'));	
	}
	
	function widget($args, $instance) {
		?>
		<section class="col-sm-12 splash-tiles">
            <div class="row">

            <?php

            $args = array(
            'numberposts'	=> 20,
            'post_type' => 'tour',
            );
            if(!empty($instance['tags'])) {
                $args['tag_slug__in'] = explode(" ", $instance['tags']);
            }
            error_log(print_r($args, true));
            $my_posts = get_posts( $args );

            if( ! empty( $my_posts ) ) {
            foreach ( $my_posts as $p ) {
            ?>

            <div class="col-sm">
            <a href="<?php echo get_permalink( $p->ID ); ?>">
                <img class="d-block w-100 shadow" src="<?php echo get_post_meta( $p->ID, 'tourcms_wp_image_url_0', true ); ?>" alt="">
                <h2 class="splash-tiles-caption"><?php echo get_the_title( $p->ID); ?></h2>
            </a>
            </div>
            <?php
                
            }
            }
            ?>

            </div>
        </section>
        <?php 
	}
	
	function update($new_instance, $old_instance) {
		$instance = $old_instance;
		$instance['tags'] = strip_tags($new_instance['tags']);
		return $instance;
	}
	
	function form($instance) {
		$instance = wp_parse_args( (array) $instance, array( 'tags' => '') );
		$tags = strip_tags($instance['tags']);
		?>
		<p><label for="<?php echo $this->get_field_id('tags'); ?>">Tags (separate with spaces): <input class="widefat" id="<?php echo $this->get_field_id('tags'); ?>" name="<?php echo $this->get_field_name('tags'); ?>" type="text" value="<?php echo esc_attr($tags); ?>" /></label></p>
		<?php
	}
}

add_action('widgets_init', function( $output ) { return register_widget("tourListInline"); } );
?>